header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  inset: 0 0 auto 0;
  z-index: 100;
  padding: 15px 25px;

  background: rgba(0,0,0,.75);
  backdrop-filter: blur(6px);
  border-bottom: 1px solid var(--accent);
}

header h1 {
  font-size: 20px;
  letter-spacing: 2px;
  color: var(--accent);
}

nav ul {
  display: flex;
  list-style: none;
  gap: 30px;
}

nav a {
  color: var(--text-muted);
  transition: .2s ease;
}

nav a:hover, nav a.active {
  color: var(--accent);
}

#port-menu {
  padding-bottom: 10px;
  border-radius: 10px;
}

#port-menu ul {
  display: flex;
  justify-content: center;
  list-style: none;
  padding: 0;
  margin-top: 1rem;
}

#port-menu li a {
  padding: 14px 16px;
  text-decoration: underline;
}

.nav-back {
  color: rgb(255, 172, 172);
  text-decoration: none !important;
}

.nav-back:hover {
  color: rgb(255, 0, 0);
}

/* ---------- hamburger + mobile nav */
.hamburger {
  display: none;
}

/* mobile */
@media (max-width: 768px) {
  header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 70px;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 2rem;
    
    z-index: 1000;
  }

  #port-menu {
    padding-bottom: 5px;
    margin-top: 3rem;
  }

  #port-menu li a {
    padding: 7px 8px;
    text-decoration: underline;
  }

  .hamburger {
    display: flex;
    flex-direction: column;
    cursor: pointer;
    color: white;
    z-index: 102;
  }

  .hamburger span {
    background-color: var(--accent) !important;
    width: 25px;
    height: 3px;
    margin-bottom: 4px;
    border-radius: 2px;
    background: var(--glass);
  }

  #nav-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;

    top: 0;
    right: -100%;
    width: 60%;
    height: 100vh;
    z-index: 101;
    
    background: var(--panel);
    transition: right .3s ease-in-out;
    box-shadow: var(--shadow);
  }

  #nav-menu.active {
    right: 0;
    font-size: 1.2rem !important;
  }

  .consolenavbtn {
    display: none !important;
  }

  #nav-menu ul {
    flex-direction: column;
    gap: 20px;
  }

  header {
    padding: 10px 20px;
  }

  header h1 {
    font-size: 20px;
  }

  #nav-menu ul li {
    margin: 0;
  }

  main {
    padding-top: 10px !important;
  }

  section {
    padding: 30px 10px;
  }

  section h2 {
    font-size: 2em;
  }

  section p {
    font-size: 1em;
  }

  #contact-form {
    max-width: 90%;
  }

  #socials {
    max-width: 90%;
  }
}